package org.eclipse.jdt.internal.compiler.lookup;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.lookup.AnnotationBinding;
import org.eclipse.jdt.internal.compiler.lookup.AnnotationHolder;
import org.eclipse.jdt.internal.compiler.lookup.Binding;

class MethodHolder extends AnnotationHolder {
  AnnotationBinding[][] parameterAnnotations;
  
  MethodHolder(AnnotationBinding[] annotations, AnnotationBinding[][] parameterAnnotations) {
    setAnnotations(annotations);
    this.parameterAnnotations = parameterAnnotations;
  }
  
  public AnnotationBinding[][] getParameterAnnotations() {
    return this.parameterAnnotations;
  }
  
  AnnotationBinding[] getParameterAnnotations(int paramIndex) {
    AnnotationBinding[] result = (this.parameterAnnotations == null) ? null : this.parameterAnnotations[paramIndex];
    return (result == null) ? Binding.NO_ANNOTATIONS : result;
  }
  
  AnnotationHolder setAnnotations(AnnotationBinding[] annotations) {
    this.annotations = (annotations == null || annotations.length == 0) ? Binding.NO_ANNOTATIONS : annotations;
    return this;
  }
}
